# OutputType

enum OutputType

The type of output the report produces

## Entries

FILE
Link copied to clipboard
FILE

The report outputs a single file.

DIRECTORY
Link copied to clipboard
DIRECTORY

The report outputs files into a directory.

## Functions

valueOf
Link copied to clipboard
open fun valueOf(name: String): Report.OutputType

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

values
Link copied to clipboard
open fun values(): Array<Report.OutputType>

Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants.